#include <stdlib.h>
#include <stdio.h>
#include <signal.h>
#include <string.h>

void check_sqlcode(const char *msg)
{
    printf(">> [%s]:  sqlcode=%d\n", msg, sqlca.sqlcode);
    if (sqlca.sqlcode != 0 && sqlca.sqlcode != 100)
        exit(1);
}

int main(int argc, char ** argv)
{
    EXEC SQL BEGIN DECLARE SECTION;
    const char * un15 = "abcdefghijklmno";   // 15 bytes => no error
    const char * un16 = "abcdefghijklmnop";  // 16 bytes => error
    const char * un17 = "abcdefghijklmnopq"; // 17 bytes => no error
    const char * up = "password";
    EXEC SQL END DECLARE SECTION;

    //EXEC SQL CONNECT TO "testdb1" USER :un16 USING :up;
    EXEC SQL CONNECT TO "testdb1" USER :un16 USING :up;
    //EXEC SQL CONNECT TO "testdb1" USER :un17 USING :up;
    check_sqlcode("CONNECT TO");

    return 0;
}
